# 定义宠物类（父类）
class Pet:
    def __init__(self, name):
        self.name = name

    def introduce(self):
        return f"我是宠物，我的名字叫 {self.name}。"

    def eat(self):
        return f"{self.name} 正在吃东西。"

# 定义宠物猫类（子类）
class Cat(Pet):
    def __init__(self, name, strain):
        super().__init__(name)  # 调用父类的构造方法
        self.strain = strain

    def introduce(self):
        # 调用父类的自我介绍方法，并添加猫特有的信息
        intro = super().introduce()
        return f"{intro} 我是一只 {self.strain} 品种的猫。"

    def rollBall(self):
        return f"{self.name} 正在玩滚球。"

# 定义宠物狗类（子类）
class Dog(Pet):
    def __init__(self, name, sex):
        super().__init__(name)  # 调用父类的构造方法
        self.sex = sex

    def introduce(self):
        # 调用父类的自我介绍方法，并添加狗特有的信息
        intro = super().introduce()
        return f"{intro} 我是一只 {self.sex} 性别的狗。"

    def blowBubbles(self):
        return f"{self.name} 正在吹泡泡。"

# 测试代码
if __name__ == "__main__":
    # 创建宠物猫实例
    cat = Cat(name="咪咪", strain="波斯猫")
    print(cat.introduce())  # 调用自我介绍方法
    print(cat.eat())  # 调用吃食方法
    print(cat.rollBall())  # 调用滚球方法

    print("-" * 30)

    # 创建宠物狗实例
    dog = Dog(name="旺财", sex="雄性")
    print(dog.introduce())  # 调用自我介绍方法
    print(dog.eat())  # 调用吃食方法
    print(dog.blowBubbles())  # 调用吹泡泡方法